import base64
import hashlib
import json
import requests
import uuid


def create_invoice():
    api_key = 'api-key'
    secret_phrase = 'secret-phrase'

    url = 'https://pikassa.io/merchant-api/api/v2/invoices'

    request = {
        'externalId': str(uuid.uuid4()),
        'amount': 9.99,
        'currency': 'RUB',
        'description': 'Create invoice',
        'deliveryMethod': 'URL'
    }

    req_str = json.dumps(request)
    str_ = req_str + secret_phrase
    md5 = hashlib.md5(str_.encode())
    sign = base64.b64encode(md5.digest()).decode('utf-8')

    _headers = {
        'X-Api-key': api_key,
        'X-sign': sign,
        'Content-type': 'application/json'
    }

    response = requests.post(url=url, json=request, headers=_headers)

    status_code = response.status_code
    body = response.content.decode('utf-8')
    resp_body = json.loads(body)

    print()
    print(f'response status code:\r\n{status_code}')
    print(f'response body:\r\n{resp_body}')
    print(f'payment link:\r\n{resp_body["data"]["paymentLink"]}')
